DefaultHighlighter.DefaultHighlightPainter (Java SE 12 & JDK 12 )
Keywords: javax.swing.text.DefaultHighlighter.DefaultHighlightPainter class

Module java.desktop
Package javax.swing.text

## Class DefaultHighlighter.DefaultHighlightPainter

- java.lang.Object
- - javax.swing.text.LayeredHighlighter.LayerPainter
  - - javax.swing.text.DefaultHighlighter.DefaultHighlightPainter

- All Implemented Interfaces:
    `Highlighter.HighlightPainter`
  Enclosing class:
    DefaultHighlighter

      public static class DefaultHighlighter.DefaultHighlightPainter
      extends LayeredHighlighter.LayerPainter

  Simple highlight painter that fills a highlighted area with a solid color.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultHighlightPainter​(Color c)` | Constructs a new highlight painter.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Color` | `getColor()` | Returns the color of the highlight.
    `void` | `paint​(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c)` | Paints a highlight.
    `Shape` | `paintLayer​(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c, View view)` | Paints a portion of a highlight.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHighlightPainter

          public DefaultHighlightPainter​(Color c)

      Constructs a new highlight painter. If `c` is null, the JTextComponent will be queried for its selection color.
      Parameters:
        `c` - the color for the highlight

  - ### Method Detail

    - #### getColor

          public Color getColor()

      Returns the color of the highlight.
      Returns:
        the color

    - #### paint

          public void paint​(Graphics g,
                            int offs0,
                            int offs1,
                            Shape bounds,
                            JTextComponent c)

      Paints a highlight.
      Parameters:
        `g` - the graphics context
        `offs0` - the starting model offset >= 0
        `offs1` - the ending model offset >= offs1
        `bounds` - the bounding box for the highlight
        `c` - the editor

    - #### paintLayer

          public Shape paintLayer​(Graphics g,
                                  int offs0,
                                  int offs1,
                                  Shape bounds,
                                  JTextComponent c,
                                  View view)

      Paints a portion of a highlight.
      Specified by:
        `paintLayer` in class `LayeredHighlighter.LayerPainter`
      Parameters:
        `g` - the graphics context
        `offs0` - the starting model offset >= 0
        `offs1` - the ending model offset >= offs1
        `bounds` - the bounding box of the view, which is not necessarily the region to paint.
        `c` - the editor
        `view` - View painting for
      Returns:
        region drawing occurred in